# --------------------------------------------------------------------
# --   *****************************
# --   *   Trenz Electronic GmbH   *
# --   *   Holzweg 19A             *
# --   *   32257 Bünde             *
# --   *   Germany                 *
# --   *****************************
# --------------------------------------------------------------------
# --$Autor: Hartfiel, John $
# --$Email: j.hartfiel@trenz-electronic.de $
# --$Create Date:2017/09/04 $
# --$Modify Autor: Hartfiel, John $
# --$Modify Date: 2017/09/04 $
# --$Modify Autor: Pohl, Zdenek $
# --$Modify Date: 2018/02/01 $
# --$Modify Autor: Kadlec, Jiri $
# --$Modify Date: 2018/09/01 $
# --------------------------------------------------------------------
# --------------------------------------------------------------------
TE::UTILS::te_msg TE_PS-0 INFO "SDSoC BD Export Modifications"

# SDSoC properties for export of hw platform

# set sdsoc platform name
set bd_file [glob -join -dir ${TE::VPROJ_PATH}/${TE::VPROJ_NAME}.srcs/${TE::SOURCE_NAME}/bd/ * *.bd]
set_property PFM_NAME "trenz.biz:${design_name}:${design_name}:1.0" [get_files $bd_file]

# define clock ports
set_property PFM.CLOCK {\
clk_out1 { id "0" is_default "false" proc_sys_reset "proc_sys_reset_50"}\
clk_out2 { id "1" is_default "true"  proc_sys_reset "proc_sys_reset_64"}\
clk_out3 { id "2" is_default "false" proc_sys_reset "proc_sys_reset_74"}\
clk_out4 { id "3" is_default "false" proc_sys_reset "proc_sys_reset_100"}\
} [get_bd_cells /clk_wiz_0]

# define AXI ports
set_property PFM.AXI_PORT { \
 M_AXI_GP1 {memport "M_AXI_GP"} \
 S_AXI_ACP {memport "S_AXI_ACP"} \
 S_AXI_HP0 {memport "S_AXI_HP" sptag "HP0"} \
 S_AXI_HP1 {memport "S_AXI_HP" sptag "HP1"} \
 S_AXI_HP2 {memport "S_AXI_HP" sptag "HP2"} \
 S_AXI_HP3 {memport "S_AXI_HP" sptag "HP3"} \
 } [get_bd_cells /processing_system7_0]

# define interrupt ports, number of possible interrupts limited to 16
# for ZUS+ in two separate 8bit ps ports
set intVar []
for {set i 0} {$i < 16} {incr i} {
    lappend intVar In$i {}
}
set_property PFM.IRQ $intVar [get_bd_cells xlconcat_0]
